%define module Gtk2-Deprecated
%define fmodule Gtk2/Deprecated

%{?perl_default_filter}

Name:		perl-%module
Version:	0.05
Release:	%mkrel 24
Summary:	Perl module for deprecated gtk+-2.x widgets
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
URL:		http://gtk2-perl.sf.net/
Source0:	http://asofyet.org/muppet/software/gtk2-perl/%module-%version.tar.bz2

BuildRequires:	gtk+2-devel
BuildRequires:	perl-devel
BuildRequires:	perl-ExtUtils-Depends
BuildRequires:	perl-Gtk2 > 1.00

%description
This module provides perl access to the widgets that were deprecated
in gtk+2.x.

%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc README TODO NEWS AUTHORS LICENSE
%{_mandir}/*/*
%{perl_vendorarch}/%fmodule
%{perl_vendorarch}/%fmodule.pm
%{perl_vendorarch}/auto/%fmodule
%{perl_vendorarch}/Gtk2/*.pod


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.05-24pclos2017
- rebuild against updates

